package com.ruoyi.project.business.mapper;

import com.ruoyi.project.business.domain.TpAreaParaStandard;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-26
 */
public interface TpAreaParaStandardMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TpAreaParaStandard selectTpAreaParaStandardById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tpAreaParaStandard 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TpAreaParaStandard> selectTpAreaParaStandardList(TpAreaParaStandard tpAreaParaStandard);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tpAreaParaStandard 【请填写功能名称】
     * @return 结果
     */
    public int insertTpAreaParaStandard(TpAreaParaStandard tpAreaParaStandard);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tpAreaParaStandard 【请填写功能名称】
     * @return 结果
     */
    public int updateTpAreaParaStandard(TpAreaParaStandard tpAreaParaStandard);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTpAreaParaStandardById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTpAreaParaStandardByIds(Long[] ids);

    int InsertBySql(List<TpAreaParaStandard> list);

    int deleteTpAreaParaStandardByParaIds(@Param("ids") Long[] ids,@Param("elevatorModelId") Long elevatorModelId);

    int realDeleteTpAreaParaStandardByParaIds(@Param("ids") Long[] ids,@Param("elevatorModelId") Long elevatorModelId);

    int updateStandBatch(List<TpAreaParaStandard> list);

    int deleteTpAreaParaStandardByElevatorModelId(Long elevatorModelId);

    int removeTpAreaParaStandardByElevatorModelId(Long elevatorModelId);
}
